api/urls.py
from api import views
from django.conf.urls import url
from django.urls import include
from rest_framework.routers import DefaultRouter


router = DefaultRouter()
#router.register(r'users', views.UserViewSet)
#router.register(r'groups', views.GroupViewSet)
#router.register(r'profiles', views.ProfileViewSet)

urlpatterns = [
    url('', include(router.urls)),   

]

contacto/urls.py
from django.urls import path
from django.conf.urls import include, url
from django.shortcuts import render
from . import views
from django.conf.urls.static import static
from django.conf import settings
from django.contrib.auth.views import LoginView, LogoutView

urlpatterns = [
url(r'^$', views.home_sin_registro, name='home_sin_registro'),
url(r'^registrado', views.home, name='home'),
#url(r'contacto', views.formulario),
path('contacto', views.vista_formulario_contacto, name='contacto'),
path('rescatados', views.vista_formularioRescatados, name='rescatados'),  
#path('listarRescatados/', views.vista_listarRescatados.as_view(), name='listarRescatados'),
url('listarRescatados', views.vista_listarRescatados, name='listarRescatados'), #vista listar rescatados
url(r'^editarRescatado/(?P<id_rescatado>\d+)/$',views.vista_modificarRecatados, name='rescatados_editar'), #la expresion regular permite enviar la id del rescatado selecccionado
url(r'^eliminarRescatado/(?P<id_rescatado>\d+)/$',views.vista_eliminarRescatado, name='rescatados_eliminar'), #la expresion regular permite enviar la id del rescatado selecccionado
path('login/', LoginView.as_view(template_name='contacto/login.html'), name="login"),
url(r'^logout/$',LogoutView.as_view(), name='logout'),


]

misPerris/urls.py
from django.conf.urls import include,url
from django.contrib import admin



urlpatterns = [
    #path('admin/', admin.site.urls),
    url(r'^admin/',admin.site.urls),
    url(r'^api/', include('api.urls')),
    url(r'',include('contacto.urls')),
    url(r'auth-social/',include('social_django.urls',namespace='social')) #incluimos url social base
]

social_django/urls.py
from django.conf import settings
from django.conf.urls import url

from social_core.utils import setting_name
from . views


extra = getattr(settings,setting_name('TRAILING_SLASH',True) and '/' or '')

app_name = 'social'

urlpatterns = [
    #auntentificacion
    url(r'^login/(?P<backend>[^/]+)(0)$'.format(extra),views.auth,
        name='begin',
    
    url(r'^complete/(?P<backend>[^/]+)(0)$'.format(extra),views.complete,
        name='complete',

    #desconeccion    
    url(r'^disconnect/(?P<backend>[^/]+)(0)$'.format(extra),views.disconnect,
        name='disconnect', 
   


]

contacto/models.py
from django.db import models
from django.utils import timezone

#modelo usuario
class Usuario(models.Model):
    rut = models.CharField(max_length=200)
    nombreCompleto = models.CharField(max_length=200)
    fecha_naciemiento = models.DateTimeField(blank=True, null=True)
    telefono =  models.IntegerField()
    e_mail = models.CharField(max_length=200)
    region = models.CharField(max_length=200)
    ciudad = models.CharField(max_length=200)
    tipo_vivienda = models.CharField(max_length=200)
    

    def _str_(self):
        return self.nombreCompleto    


#modelo rescatado
class Rescatado(models.Model):
    nombre = models.TextField(max_length=50)
    raza = models.TextField(max_length=20)
    descripcion  = models.TextField(max_length=200)
    estado = models.TextField(max_length=20)
    file = models.FileField(blank=True, null=True, upload_to="rescatados")

    def _str_(self):
        return self.nombre
    def create(self):
        self.save()
    

contacto/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponse, Http404, HttpResponseRedirect
from django.utils import timezone
from django.template import loader
from django.urls import reverse
from contacto.models import Usuario, Rescatado
from django.utils import timezone
#from django.views.generic import CreateView, ListView
from django.contrib.auth import authenticate, login, logout

# Create your views here.

#vista login

#vista pagina principal con registro
def home(request):
    return render(request, 'contacto/home.html')

#vista pagina principal con registro
def home_sin_registro(request):
    return render(request, 'contacto/home_sin_registro.html')

#vista inscribir usuario
def vista_formulario_contacto(request):
   
    if request.method == 'GET':
        return render(request, 'contacto/usuarios_formularios.html', {})
    elif request.method == 'POST':
        message = ""

        try:
            usuario = Usuario()
            usuario.rut = request.POST.get('run')
            usuario.nombreCompleto = request.POST.get('nombre')
            usuario.fecha_naciemiento = request.POST.get('nacimiento')
            usuario.telefono = request.POST.get('telefono')
            usuario.e_mail = request.POST.get('email')
            usuario.region = request.POST.get('region')
            usuario.ciudad = request.POST.get('ciudad')
            usuario.tipo_vivienda = request.POST.get('tipo_casa')
            usuario.fecha_creacion = timezone.now

            
        
            #post.published_date = lambda published_date : None if published_date == "" else request.POST.get('published_date')
            usuario.save()
            message = "Éxito al guardar el usuario"
            return HttpResponseRedirect(reverse('contacto:detail', args=(usuario.pk,)))
        except Exception as e:
            message = "Error al guardar el usuario: " + str(e)
            return render(request, 'contacto/usuarios_formularios.html', {'message': message})
    else:
        response = HttpResponse('Método no permitido')
        response.status_code = 405
        return response

   

    return render(request, 'contacto/usuarios_formularios.html')

#vista ingresar rescatado
def vista_formularioRescatados(request):
   
    if request.method == 'GET':
        return render(request, 'contacto/rescatados_formulario.html', {})
    elif request.method == 'POST':
        message = ""

        try:
            rescatado = Rescatado()
            rescatado.nombre = request.POST.get('nombre')
            rescatado.raza = request.POST.get('raza')
            rescatado.descripcion = request.POST.get('descripcion')
            rescatado.estado = request.POST.get('estado')
                      
        
            #post.published_date = lambda published_date : None if published_date == "" else request.POST.get('published_date')
            rescatado.save()
            file = request.FILES['file']
            ext = file.name.split(".")[-1]
            file.name = str(rescatado.pk) + "." + ext
            rescatado.file = file
            rescatado.save()

            message = "Éxito al guardar el rescatado"
            return HttpResponseRedirect(reverse('contacto:detail', args=(rescatado.pk,)))
        except Exception as e:
            message = "Error al guardar el rescatado: " + str(e)
            return render(request, 'contacto/rescatados_formulario.html', {'message': message})
    else:
        response = HttpResponse('Método no permitido')
        response.status_code = 405
        return response

   

    return render(request, 'contacto/rescatados_formulario.html')

 
#vista listar
def vista_listarRescatados(request):
    rescatados = Rescatado.objects.all()  #esto es un queryset
    contexto = {'rescatados': rescatados}  #le damos a nuestro diccionario el queryset
    return render(request,'contacto/rescatados_listar.html', contexto) #mandamos a la plantilla el queryset


#vista modificar
def vista_modificarRecatados(request,id_rescatado):  #recibe la id de mascota
    rescatado = Rescatado.objects.get(id=id_rescatado) #queryset nos trae el rescatado con la id select
    if request.method =='GET':
        
        #escribimos los datos en el template, exportamos el contexto al template como objeto
        contexto = {'rescatado': rescatado}

    else:
        
        rescatado.nombre = request.POST.get('nombre')           #escribimos los datos del formulario, en el objecto rescatado
        rescatado.raza = request.POST.get('raza')
        rescatado.descripcion = request.POST.get('descripcion')
        rescatado.estado = request.POST.get('estado')
        rescatado.save()                                        #guardamos los datos que escribimos en el template con POST

       
        return redirect('listarRescatados')

    return render(request,'contacto/rescatados_formulario.html', contexto)

def vista_eliminarRescatado(request,id_rescatado):
    rescatado = Rescatado.objects.get(id=id_rescatado) #queryset nos trae el rescatado con la id select
    contexto = {'rescatado': rescatado}
    if request.method =='POST':
        rescatado.delete()
        return redirect('listarRescatados')
    
    return render(request,'contacto/rescatado_eliminar.html', contexto)

    

contacto/templates/contacto/home.html
{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Mis Perris</title>
    <link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">
    <script src="{% static 'js/jquery-3.3.1.js' %}" type="text/javascript"></script>
    <script src="{% static 'js/popper.js' %}" type="text/javascript"></script>
    <script src="{% static 'js/bootstrap.js' %}" type="text/javascript"></script>
</head>
<body> 
<div class="container-fluid">
  <header >
        <div class="row color">
            <div class="col-12 col-md-12 col-lg-3 color logo ">
                <img  id="logo" src="{% static 'imagenes/iconos/logo.png' %}" alt="logo" >
            </div>
            <a class="col-12 col-md-12 col-lg-1 color2 menu" href="http://127.0.0.1:8000/registrado">Inicio  </a>
            <a class="col-12 col-md-12 col-lg-2 color2 menu">Quienes somos </a>
            <a class="col-12 col-md-12 col-lg-1 color2 menu">Servicios  </a>
            <a class="col-12 col-md-12 col-lg-1 color2 menu" href="http://127.0.0.1:8000/rescatados">Rescatados  </a>   
            <a class="col-12 col-md-12 col-lg-2 color2 menu" href="http://127.0.0.1:8000/listarRescatados">Mantenedor Rescatados</a>
            <a class="col-12 col-md-12 col-lg-1 color2 menu" href="http://127.0.0.1:8000/">Cerrar Sesion</a>
   
        </div>
  </header>
  <div>
    {% if user.is_authenticated %}
      <ul class="nav justify-content-end">
          <a class="nav-link" href="#">{{ user }}</a>
        <li class="nav-item">
            <a class="nav-link disabled" href="{% url 'logout' %}">Cerrar Sesión</a>
        </li>

      </ul>
  </div>
  {% endif %}
    
                    
                            <div >
                                    <div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
                                      <ol class="carousel-indicators">
                                        <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
                                        <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
                                        <li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
                                      </ol>
                                      <div class="carousel-inner" role="listbox">
                                        <div class="carousel-item active">
                                          <img class="d-block w-100  " src="{% static 'imagenes/adoptados/Apolo.jpg' %} " alt="Apolo">
                                          <div class="carousel-caption d-none d-md-block">
                                            <h3>Apolo</h3>
                                            <p>Es el alma de nuestra casa, espíritud inquieto</p>
                                          </div>
                                        </div>
                                        <div class="carousel-item">
                                          <img class="d-block w-100 " src="{% static 'imagenes/adoptados/Duque.jpg' %}" alt="Duque">
                                          <div class="carousel-caption d-none d-md-block">
                                            <h3>Duque</h3>
                                            <p>Amigo fiel, simpre me acompaña, donde quiera que voy.</p>
                                          </div>
                                        </div>
                                        <div class="carousel-item">
                                          <img class="d-block w-100 " src="{% static 'imagenes/adoptados/Tom.jpg' %}" alt="Tom">
                                          <div class="carousel-caption d-none d-md-block">
                                            <h3>Tom</h3>
                                            <p>Estamos felices de tener a tom en casa, es un súper buen compañero</p>
                                          </div>
                                        </div>
                                      </div>
                                      <a class="carousel-control-prev" href="#carouselExampleCaptions" role="button" data-slide="prev">
                                        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                        <span class="sr-only">Anterior</span>
                                      </a>
                                      <a class="carousel-control-next" href="#carouselExampleCaptions" role="button" data-slide="next">
                                        <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                        <span class="sr-only">Siguiente</span>
                                      </a>
                                    </div>
                            </div>
            
                  

            <br>
            <div class=" row" >
                <div class="col-6 col-md-3 col-lg-3">
                    <img  id="iconos_sociales" src="{% static 'imagenes/iconos/iconos_sociales/Facebook.png' %}" alt="icono_facebook">
                </div>
                <div class="col-6 col-md-3 col-lg-3">
                  <img id="iconos_sociales" src="{% static 'imagenes/iconos/iconos_sociales/Google+.png' %}" alt="icono_facebook">
                </div>
                <div class="col-6  col-md-3 col-lg-3">
                  <img id="iconos_sociales" src="{% static 'imagenes/iconos/iconos_sociales/Instagram.png' %}" alt="icono_facebook">
                </div>
                <div class="col-6  col-md-3 col-lg-3">
                  <img id="iconos_sociales" src="{% static 'imagenes/iconos/iconos_sociales/Pinterest.png' %}" alt="icono_facebook">
                </div>
         

    
    <br>
    <br>
    <br>
    <article class="row noticias">
        <div class="col-sm-6">
          <h1 id="alineacion_titulo"> Rescate</h1>
          <h3 id="alineacion_titulo"> ETAPA1</h3>
          <HR>
          <P>
            Rescatamos perros en situacion  de peligro y/o abandono. Los rehabilitamos
            <br> los preramos para buscarles un hogar.
          </P>
          <img class="imagen_articulo1" id="imagenes_articulos" src="{% static 'imagenes/perros/rescate.jpg' %}">              
        </div>
        <div class="col-sm-6">
          <img id="imagenes_articulos" src="{% static 'imagenes/perros/crowfunding.jpg' %}">	   
          <h1>Crowdfunding</h1>
          <h3>FINANCIAMIENTO</h3>
          <HR>
          <P> Sigue nuestras redes sociales para informarte de las diversas campañas y 
              <br>
          actividades que realizamos para obtener financiamiento para seguir ayudando.
          </P>
          <button>CAMPAÑAS</button>  

        </div>
    </article>
    <br>
    <section id="galeria">
        <div class="gal">

            <img src="{% static 'imagenes/rescatados/Bigotes.jpg' %}" alt="">
            
            <img src="{% static 'imagenes/rescatados/Chocolate.jpg' %}" alt="">

            <img src="{% static 'imagenes/rescatados/Luna.jpg' %}" alt="">
                
            <img src="{% static 'imagenes/rescatados/Maya.jpg' %}" alt="">

            <img src="{% static 'imagenes/rescatados/Oso.jpg}' %" alt="">

            <img src="{% static 'imagenes/rescatados/Pexel.jpg' %}" alt="">

            <img src="{% static 'imagenes/rescatados/Bigotes.jpg' %}" alt="">

            <img src="{% static 'imagenes/rescatados/Luna.jpg' %}" alt="">

            <img src="{% static 'imagenes/rescatados/Chocolate.jpg '%}" alt="">
              
           </div> 
    </section>
    <footer class="row ">  
      <div class="col-12 col-md-12 col-lg-12">
        <br>
        <p>Desarrollo web y mobile</p>
      </div>
    </footer>
</div>
  
</body>

 
</html>

contacto/templates/contacto/home_sin_registro.html
{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Mis Perris</title>
    <link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">
    <script src="{% static 'js/jquery-3.3.1.js' %}" type="text/javascript"></script>
    <script src="{% static 'js/popper.js' %}" type="text/javascript"></script>
    <script src="{% static 'js/bootstrap.js' %}" type="text/javascript"></script>
</head>
<body> 
<div class="container-fluid">
  <header >
        <div class="row color">
            <div class="col-12 col-md-12 col-lg-4 color logo ">
                <img  id="logo" src="{% static 'imagenes/iconos/logo.png' %}" alt="logo" >
            </div>
            <a class="col-12 col-md-12 col-lg-1 color2 menu" href="http://127.0.0.1:8000/">Inicio  </a>
            <a class="col-12 col-md-12 col-lg-2 color2 menu">Quienes somos </a>
            <a class="col-12 col-md-12 col-lg-1 color2 menu">Servicios  </a>
            <a class="col-12 col-md-12 col-lg-1 color2 menu" href="http://127.0.0.1:8000/contacto">Contacto  </a>
            <a class="col-12 col-md-12 col-lg-3 color2 menu" href="http://127.0.0.1:8000/login">Iniciar Sesion  </a>   

        </div>
  </header>
    
                    
                            <div >
                                    <div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
                                      <ol class="carousel-indicators">
                                        <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
                                        <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
                                        <li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
                                      </ol>
                                      <div class="carousel-inner" role="listbox">
                                        <div class="carousel-item active">
                                          <img class="d-block w-100  " src="{% static 'imagenes/adoptados/Apolo.jpg' %} " alt="Apolo">
                                          <div class="carousel-caption d-none d-md-block">
                                            <h3>Apolo</h3>
                                            <p>Es el alma de nuestra casa, espíritud inquieto</p>
                                          </div>
                                        </div>
                                        <div class="carousel-item">
                                          <img class="d-block w-100 " src="{% static 'imagenes/adoptados/Duque.jpg' %}" alt="Duque">
                                          <div class="carousel-caption d-none d-md-block">
                                            <h3>Duque</h3>
                                            <p>Amigo fiel, simpre me acompaña, donde quiera que voy.</p>
                                          </div>
                                        </div>
                                        <div class="carousel-item">
                                          <img class="d-block w-100 " src="{% static 'imagenes/adoptados/Tom.jpg' %}" alt="Tom">
                                          <div class="carousel-caption d-none d-md-block">
                                            <h3>Tom</h3>
                                            <p>Estamos felices de tener a tom en casa, es un súper buen compañero</p>
                                          </div>
                                        </div>
                                      </div>
                                      <a class="carousel-control-prev" href="#carouselExampleCaptions" role="button" data-slide="prev">
                                        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                        <span class="sr-only">Anterior</span>
                                      </a>
                                      <a class="carousel-control-next" href="#carouselExampleCaptions" role="button" data-slide="next">
                                        <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                        <span class="sr-only">Siguiente</span>
                                      </a>
                                    </div>
                            </div>
            
                  

            <br>
            <div class=" row" >
                <div class="col-6 col-md-3 col-lg-3">
                    <img  id="iconos_sociales" src="{% static 'imagenes/iconos/iconos_sociales/Facebook.png' %}" alt="icono_facebook">
                </div>
                <div class="col-6 col-md-3 col-lg-3">
                  <img id="iconos_sociales" src="{% static 'imagenes/iconos/iconos_sociales/Google+.png' %}" alt="icono_facebook">
                </div>
                <div class="col-6  col-md-3 col-lg-3">
                  <img id="iconos_sociales" src="{% static 'imagenes/iconos/iconos_sociales/Instagram.png' %}" alt="icono_facebook">
                </div>
                <div class="col-6  col-md-3 col-lg-3">
                  <img id="iconos_sociales" src="{% static 'imagenes/iconos/iconos_sociales/Pinterest.png' %}" alt="icono_facebook">
                </div>
         

    
    <br>
    <br>
    <br>
    <article class="row noticias">
        <div class="col-sm-6">
          <h1 id="alineacion_titulo"> Rescate</h1>
          <h3 id="alineacion_titulo"> ETAPA1</h3>
          <HR>
          <P>
            Rescatamos perros en situacion  de peligro y/o abandono. Los rehabilitamos
            <br> los preramos para buscarles un hogar.
          </P>
          <img class="imagen_articulo1" id="imagenes_articulos" src="{% static 'imagenes/perros/rescate.jpg' %}">              
        </div>
        <div class="col-sm-6">
          <img id="imagenes_articulos" src="{% static 'imagenes/perros/crowfunding.jpg' %}">	   
          <h1>Crowdfunding</h1>
          <h3>FINANCIAMIENTO</h3>
          <HR>
          <P> Sigue nuestras redes sociales para informarte de las diversas campañas y 
              <br>
          actividades que realizamos para obtener financiamiento para seguir ayudando.
          </P>
          <button>CAMPAÑAS</button>  

        </div>
    </article>
    <br>
    <section id="galeria">
        <div class="gal">

            <img src="{% static 'imagenes/rescatados/Bigotes.jpg' %}" alt="">
            
            <img src="{% static 'imagenes/rescatados/Chocolate.jpg' %}" alt="">

            <img src="{% static 'imagenes/rescatados/Luna.jpg' %}" alt="">
                
            <img src="{% static 'imagenes/rescatados/Maya.jpg' %}" alt="">

            <img src="{% static 'imagenes/rescatados/Oso.jpg}' %" alt="">

            <img src="{% static 'imagenes/rescatados/Pexel.jpg' %}" alt="">

            <img src="{% static 'imagenes/rescatados/Bigotes.jpg' %}" alt="">

            <img src="{% static 'imagenes/rescatados/Luna.jpg' %}" alt="">

            <img src="{% static 'imagenes/rescatados/Chocolate.jpg '%}" alt="">
              
           </div> 
    </section>
    <footer class="row ">  
      <div class="col-12 col-md-12 col-lg-12">
        <br>
        <p>Desarrollo web y mobile</p>
      </div>
    </footer>
</div>
  
</body>

 
</html>

contacto/templates/contacto/login.html
{% load staticfiles %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Mis Perris</title>
    <link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">
    <script src="{% static 'js/jquery-3.3.1.js' %}" type="text/javascript"></script>
    <script src="{% static 'js/popper.js' %}" type="text/javascript"></script>
    <script src="{% static 'js/bootstrap.js' %}" type="text/javascript"></script>
</head>
<body> 
 <div class="container-fluid">
  <header >
    <div class="row color">
      <div class="col-12 col-md-12 col-lg-4 color logo ">
          <img  id="logo" src="{% static 'imagenes/iconos/logo.png' %}" alt="logo" >
      </div>
     
  </div>
  </header>

  <br>
    <br>
    <br>

    <form method="POST">
        {% csrf_token %}
        <div class="row">
            <div class="col-md-6 col-xs-12">
                <div class="form-group">
                    <label>Usuario</label>
                    <input class="form-control" type="text" name="username">
                </div>
            </div>
        </div>
        <div class="row">
                <div class="col-md-6 col-xs-12">
                    <div class="form-group">
                        <label>Contraseña</label>
                        <input class="form-control" type="password" name="password">
                    </div>
                </div>
        </div>
        <div class="row">
                <div class="col-md-6 col-xs-12">
                    <div class="form-group">
                        <a href=""> Olvidé mi Contraseña</a>
                        <input class="btn btn-primary" type="submit" name="Ingresar">
                    </div>
                </div>
        </div>
        </div>
        <div class="row">
            <div class="col-md-6 col-xs-12">
                <div class="form-group">
                    <a href="{% url "social:begin" "google-oauth2" %}" class="btn"> Ingresar con Google</a>
                    
                </div>
            </div>
    </div>
    




    </form>

contacto/templates/contacto/rescatado_eliminar.html
{% load staticfiles %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Mis Perris</title>
    <link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">
    <script src="{% static 'js/jquery-3.3.1.js' %}" type="text/javascript"></script>
    <script src="{% static 'js/popper.js' %}" type="text/javascript"></script>
    <script src="{% static 'js/bootstrap.js' %}" type="text/javascript"></script>
</head>
<body> 
 <div class="container-fluid">
  <header >
    <div class="row color">
      <div class="col-12 col-md-12 col-lg-3 color logo ">
          <img  id="logo" src="{% static 'imagenes/iconos/logo.png' %}" alt="logo" >
      </div>
      <a class="col-12 col-md-12 col-lg-1 color2 menu" href="http://127.0.0.1:8000/registrado">Inicio  </a>
      <a class="col-12 col-md-12 col-lg-2 color2 menu">Quienes somos </a>
      <a class="col-12 col-md-12 col-lg-1 color2 menu">Servicios  </a>
      <a class="col-12 col-md-12 col-lg-1 color2 menu" href="http://127.0.0.1:8000/rescatados">Resscatados  </a>   
      <a class="col-12 col-md-12 col-lg-1 color2 menu" href="http://127.0.0.1:8000/login">Iniciar Sesion  </a>   
      <a class="col-12 col-md-12 col-lg-2 color2 menu" href="http://127.0.0.1:8000/listarRescatados">Mantenedor Rescatados</a>
      <a class="col-12 col-md-12 col-lg-1 color2 menu" href="http://127.0.0.1:8000/">Cerrar Sesion</a>

  </div>
  </header>

  <br>
    <br>
    <br>
            
  <form method="POST">
    {% csrf_token %}
    <h3>¿Desea Eliminar el registro de {{ rescatado.nombre }} ?</h3>
    <button  class="btn btn-danger" type="submit">Sí, Eliminar </button>
    <a class="btn btn-default" href="{%url 'listarRescatados'%}">Cancelar</a>

  </form>